Bug 829837 - [abrt] gedit-3.4.1-2.fc17: gtk_text_buffer_delete_mark: Process /usr/bin/gedit was killed by signal 11 (SIGSEGV)
[abrt] gedit-3.4.1-2.fc17: gtk_text_buffer_delete_mark: Process /usr/bin/gedi...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gedit (Show other bugs)
17
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Ray Strode [halfline]
Fedora Extras Quality Assurance
abrt_hash:2dec29a606610c6c0c4d05d7fa1...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-07 12:06 EDT by Jesus
Modified: 2013-08-01 06:12 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-01 06:12:13 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (25.73 KB, text/plain)
2012-06-07 12:06 EDT, Jesus
no flags Details
File: maps (45.26 KB, text/plain)
2012-06-07 12:06 EDT, Jesus
no flags Details
File: dso_list (10.21 KB, text/plain)
2012-06-07 12:06 EDT, Jesus
no flags Details

  None (edit)
Description Jesus 2012-06-07 12:06:17 EDT
libreport version: 2.0.10
abrt_version:   2.0.10
backtrace_rating: 4
cmdline:        gedit /home/ax/Downloads/NetFx64.txt
crash_function: gtk_text_buffer_delete_mark
executable:     /usr/bin/gedit
kernel:         3.3.7-1.fc17.x86_64
pid:            21079
pwd:            /home/ax
time:           Thu 07 Jun 2012 10:49:31 AM PYT
uid:            1000
username:       ax
xsession_errors: ** (gedit:21079): WARNING **: Stage already contains this actor

backtrace:      Text file, 26348 bytes
dso_list:       Text file, 10450 bytes
maps:           Text file, 46346 bytes

build_ids:
:3275cdd6038a5dabf6da923272d6da0f397b56c4
:8b33feb27b2125997520fdd21c90c42a65e438f1
:4a1395e12d6961bfb6890120e8c21e727ff8f129
:8568e11bef79abaf14513d18a8559282d8dad34a
:54a5cc118d928470da13565de8592b664a9868e0
:647c8183274c4626c81e86e7a631a81782a04e65
:bc669d7cbf7f309a2161101170bcfb5092c78bac
:b6d75088f555d197be1476cb1c580640826ae029
:b8bfc491895389962d926fdc99cbfbac571f2cf0
:9d49f2f604fdc7a787f63c16cc08353956f2fd41
:5b4f3d35b4612be98f2bbb635b3eabf0ee7e437d
:c2f5ae8bd64df0fc996cf96b95525a8f8fb28fd2
:a8efbe1d263ad42afae74bc027eee88eaa754f55
:5dd234206476b0387cd251598aa72a2c95c763c5
:81b3fb6be6f4b0769c050cb69a1e587bd5fd4c06
:75752da7b5f30bdb8c3241f27d3fa22a35364fbe
:b277af36744327e3d58eae76bcdaadcca71a28c6
:7716bc5c1738194dad6ec6679d05ae3782139288
:a7a90d872ef72df12f4344a1a6fadb184e5c0cc8
:0e1267a4d81de05f053eeed7f2f61fb46cda9e7c
:46259a308a48d3d55a41d8c723d11eac90413db2
:ec87953f655fbcbcbe71b591db5451e56739576e
:03a3531257193c88ade30f23f9dc93545fa5397d
:d804f8ee47797da9213a92f00cd095ecada8d79f
:710b0d8cc36603d66327090defd37c99daa38f28
:0a688bf9160e6e3a2a8f41967f3c75094bca08a7
:e91010b497ec024178c36f4365b21f668bada0ca
:1b7abd5c8129b91c0ca4f0f0812e61660236fd38
:e2f8ba3db2c86456528fe1f09829c62263d0fdee
:faca16f15d87b83d2947a386e319b02f724dcbb5
:6419b38400feb8414d331a1f2deebb0012d0d72e
:87712be648d2d43ea4cd002fe7a859df636f1e13
:8d098f6bb781c1632177cd60d738076b83e0c0d3
:d32cbeacfd9f41e3cd29b697dd111f44a2d9c127
:253afe744466fe7580bbb6040de6183dba9e2b02
:127f8958b602715234a02b88adb08afd9e34c203
:42675a8ad8f70ff19362070510cdf1ba202a70db
:234d4eb1aa690c38533ef82f517b390255d3bc4d
:f64b7319b84d426ed547084bdb2577f4f596c18f
:508cf66f72e70054a41215f80ed2385c6bb80030
:3d60535f052babb998bae4807bc992c5d15df5c4
:67792c148d2b8f13f6732c9367e926c26d7376c5
:516204cfc31148538d56b21e2f1b945ed50127d4
:63651cdc0224824a9c9324c77c3b5887378e871d
:c4ec0971b2dcee71aaf8374975474054245fea00
:a553a7e9625a224a8f39286909adc17787ad51bd
:6536534f472499ae9eb05ef08098d3d5a5d444da
:e3354959e32e471066df83c93f98f33e75198697
:822e9b3523e8312240f41a25722d539bc77ed436
:73777e822e00ca152ffca281ab0ace0cb498ec48
:404cbecd24d186758ed474b345313da28b2990fa
:8875c445a3903173d553f87ffbabcdef8b55386e
:617e70e4105dfaa44b8d1f53b914e37eb5886ceb
:3f0991d9a4679b6bdd8a78ab2d05ecf4cc995651
:a4ec59d7fc9c453fb4287d7ebc5fcf6579792e65
:9dc7d977acebd2e8abf2d55bf2738ea2d89f7480
:dec0de92024bee74c75c04bde4c54c097fe68ae8
:ce246b3297de0d233ac2c5f9e50061e2b13a330c
:6e5d5649c704cd3a34cf145ccd2d08994f1e83ff
:4d09d82785dab5f95c01b69bc0785145a5954d30
:7c35310fc506498c612d5d982ab03becc4b4817c
:9ea9b4fd0fc47b9ba19d393e1c1f70959654c6b8
:d50284b66d63e0cc3f25b4c2ea9e7476d82ec292
:731b3801f71de6bd888953161b715e6cbda0ab60
:8f7c190397d7c1f617e66f18f759714662b60367
:fce4569ceeae1e716f4efcc2334d057a178b4e1b
:c24fd7404668fdbb57aec685a0f63cdd8a289d29
:839c8e3a55bd7f61afdcfebeae52f9dadc3a69fb
:4b044fe80e4c1b69986abc4b160c303048005d4e
:6c08d8c9f6358200131cda5c9b563545d5c806ba
:bd0ac043ae8788e4131de24fa2becebf2ba97698
:c61e487cc8906c4f1bd85b39a4d751b414e423a0
:5b9e2bd88a09975ecedf44c38eb10d4e4b3e62d6
:8883675a02b466547a122a9117742c5771456644
:271a2d91cc3308783ff4a7ab45049f31aa42d8b7
:777f25c76880da663aa22e82c944d4192c52c9c9
:1d4df97fa6024b097b634a272447243c95c26d85
:1a0c09f270adf8398df4362ce0acfafc1f970982
:ea125d56f5cd2b1228b110d7a069104cf0399b10
:a5cf7008c28585406297cf76ce11e2e554e5a7b4
:5bf8427ddeff24a2bd36962f68e6af6ffe14970f
:247132297f287226a24c12e683292f5c94013066
:95b138113d4b374d17ab8ea133b0da8e72a04253
:f5284e0a3dce43e0400b99ef80300c1c4b9c60cd
:5350b5972464f66f404861dc50225a114a2a5e7e

cgroup:
:9:perf_event:/
:8:blkio:/
:7:net_cls:/
:6:freezer:/
:5:devices:/
:4:memory:/
:3:cpuacct,cpu:/
:2:cpuset:/
:1:name=systemd:/user/ax/2

comment:
:1. Opened a 250mb file with more than 2.000.000 lines.
:2. Then I tried to find something.
:3. After that the application hung and was automatically closed after a while.

core_backtrace:
:710b0d8cc36603d66327090defd37c99daa38f28 0x215b1e gtk_text_buffer_delete_mark libgtk-3.so.0 -
:bc669d7cbf7f309a2161101170bcfb5092c78bac 0x498f5 - [exe] -
:bc669d7cbf7f309a2161101170bcfb5092c78bac 0x499de - [exe] -
:710b0d8cc36603d66327090defd37c99daa38f28 0x17acc9 - libgtk-3.so.0 -
:d50284b66d63e0cc3f25b4c2ea9e7476d82ec292 0xf664 g_closure_invoke libgobject-2.0.so.0 -
:d50284b66d63e0cc3f25b4c2ea9e7476d82ec292 0x206d8 - libgobject-2.0.so.0 -
:d50284b66d63e0cc3f25b4c2ea9e7476d82ec292 0x282a7 g_signal_emit_valist libgobject-2.0.so.0 -
:d50284b66d63e0cc3f25b4c2ea9e7476d82ec292 0x287c2 g_signal_emit libgobject-2.0.so.0 -
:710b0d8cc36603d66327090defd37c99daa38f28 0x2a2d0e - libgtk-3.so.0 -
:710b0d8cc36603d66327090defd37c99daa38f28 0x2b0fb3 gtk_widget_send_focus_change libgtk-3.so.0 -
:710b0d8cc36603d66327090defd37c99daa38f28 0x2b3b8f - libgtk-3.so.0 -
:710b0d8cc36603d66327090defd37c99daa38f28 0x2bf844 - libgtk-3.so.0 -
:710b0d8cc36603d66327090defd37c99daa38f28 0x2bfa4f - libgtk-3.so.0 -
:710b0d8cc36603d66327090defd37c99daa38f28 0x17acc9 - libgtk-3.so.0 -
:d50284b66d63e0cc3f25b4c2ea9e7476d82ec292 0xf664 g_closure_invoke libgobject-2.0.so.0 -
:d50284b66d63e0cc3f25b4c2ea9e7476d82ec292 0x20450 - libgobject-2.0.so.0 -
:d50284b66d63e0cc3f25b4c2ea9e7476d82ec292 0x282a7 g_signal_emit_valist libgobject-2.0.so.0 -
:d50284b66d63e0cc3f25b4c2ea9e7476d82ec292 0x287c2 g_signal_emit libgobject-2.0.so.0 -
:710b0d8cc36603d66327090defd37c99daa38f28 0x2a2d0e - libgtk-3.so.0 -
:710b0d8cc36603d66327090defd37c99daa38f28 0x17aaf6 gtk_main_do_event libgtk-3.so.0 -
:8b33feb27b2125997520fdd21c90c42a65e438f1 0x48e62 - libgdk-3.so.0 -
:8568e11bef79abaf14513d18a8559282d8dad34a 0x475cc g_main_context_dispatch libglib-2.0.so.0 -
:8568e11bef79abaf14513d18a8559282d8dad34a 0x479e8 - libglib-2.0.so.0 -
:8568e11bef79abaf14513d18a8559282d8dad34a 0x47de2 g_main_loop_run libglib-2.0.so.0 -
:710b0d8cc36603d66327090defd37c99daa38f28 0x179d65 gtk_main libgtk-3.so.0 -
:bc669d7cbf7f309a2161101170bcfb5092c78bac 0x27b6d main [exe] -

environ:
:XDG_VTNR=1
:XDG_SESSION_ID=2
:HOSTNAME=ax-hp
:IMSETTINGS_INTEGRATE_DESKTOP=yes
:SHELL=/bin/bash
:TERM=dumb
:HISTSIZE=1000
:GNOME_KEYRING_CONTROL=/run/user/[user]/keyring-wZ92fb
:QT_GRAPHICSSYSTEM_CHECKED=1
:IMSETTINGS_MODULE=none
:MAIL=/var/spool/mail/[user]
:PATH=/usr/local/bin:/usr/bin:/bin:/usr/local/sbin:/usr/sbin:/home/[user]/.local/bin:/home/[user]/bin
:DESKTOP_SESSION=gnome
:QT_IM_MODULE=xim
:PWD=/home/[user]
:XMODIFIERS=@im=none
:GNOME_KEYRING_PID=893
:LANG=en_US.UTF-8
:GDMSESSION=gnome
:HISTCONTROL=ignoredups
:XDG_SEAT=seat0
:HOME=/home/[user]
:SHLVL=1
:LOGNAME=[user]
:DBUS_SESSION_BUS_ADDRESS=unix:abstract=/tmp/dbus-1EQ8NEauXi,guid=e0c97bf087c4922eaf52348f00000035
:'LESSOPEN=||/usr/bin/lesspipe.sh %s'
:WINDOWPATH=1
:XDG_RUNTIME_DIR=/run/user/[user]
:DISPLAY=:0.0
:XAUTHORITY=/var/run/gdm/auth-for-ax-mLzib2/database
:_=/usr/bin/gnome-session
:GNOME_DESKTOP_SESSION_ID=this-is-deprecated
:SESSION_MANAGER=local/unix:@/tmp/.ICE-unix/897,unix/unix:/tmp/.ICE-unix/897
:SSH_AUTH_SOCK=/run/user/[user]/keyring-wZ92fb/ssh
:GPG_AGENT_INFO=/run/user/[user]/keyring-wZ92fb/gpg:0:1
:GJS_DEBUG_OUTPUT=stderr
:'GJS_DEBUG_TOPICS=JS ERROR;JS LOG'
:GIO_LAUNCHED_DESKTOP_FILE=/usr/share/applications/gedit.desktop
:GIO_LAUNCHED_DESKTOP_FILE_PID=21079
:INSIDE_NAUTILUS_PYTHON=
:NAUTILUS_PYTHON_REQUIRE_GTK3=1
:DESKTOP_STARTUP_ID=nautilus-1363-[user]-hp-gedit-29_TIME96146109

limits:
:Limit                     Soft Limit           Hard Limit           Units     
:Max cpu time              unlimited            unlimited            seconds   
:Max file size             unlimited            unlimited            bytes     
:Max data size             unlimited            unlimited            bytes     
:Max stack size            8388608              unlimited            bytes     
:Max core file size        0                    unlimited            bytes     
:Max resident set          unlimited            unlimited            bytes     
:Max processes             1024                 30963                processes 
:Max open files            1024                 4096                 files     
:Max locked memory         65536                65536                bytes     
:Max address space         unlimited            unlimited            bytes     
:Max file locks            unlimited            unlimited            locks     
:Max pending signals       30963                30963                signals   
:Max msgqueue size         819200               819200               bytes     
:Max nice priority         0                    0                    
:Max realtime priority     0                    0                    
:Max realtime timeout      unlimited            unlimited            us        

open_fds:
:0:/dev/null
:pos:	0
:flags:	0100000
:1:/home/ax/.xsession-errors
:pos:	40497
:flags:	0102002
:2:/home/ax/.xsession-errors
:pos:	40497
:flags:	0102002
:3:socket:[459320]
:pos:	0
:flags:	02004002
:4:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:5:socket:[462067]
:pos:	0
:flags:	02004002
:6:socket:[458639]
:pos:	0
:flags:	02000002
:7:socket:[461099]
:pos:	0
:flags:	02004002
:8:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:9:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:10:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:11:anon_inode:inotify
:pos:	0
:flags:	02004000
:12:socket:[462070]
:pos:	0
:flags:	02004002
:13:/home/ax/.local/share/gvfs-metadata/home
:pos:	0
:flags:	0100000
:14:/home/ax/.local/share/gvfs-metadata/home-42354671.log
:pos:	0
:flags:	0100000

var_log_messages:
:Jun  7 10:49:31 ax-hp kernel: [96331.063122] gedit[21079]: segfault at 1 ip 000000375d215b1e sp 00007fff184ce820 error 4 in libgtk-3.so.0.400.3[375d000000+472000]
:Jun  7 10:49:41 ax-hp abrt[21178]: Saved core dump of pid 21079 (/usr/bin/gedit) to /var/spool/abrt/ccpp-2012-06-07-10:49:31-21079 (635592704 bytes)
Comment 1 Jesus 2012-06-07 12:06:23 EDT
Created attachment 590230 [details]
File: backtrace
Comment 2 Jesus 2012-06-07 12:06:27 EDT
Created attachment 590231 [details]
File: maps
Comment 3 Jesus 2012-06-07 12:06:30 EDT
Created attachment 590232 [details]
File: dso_list
Comment 4 Fedora End Of Life 2013-07-03 23:07:00 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 5 Fedora End Of Life 2013-08-01 06:12:16 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.